Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.controls
Class JUImageControl

`java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
oracle.jbo.uicli.controls.JUImageControl`

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.event.FocusListener, java.awt.image.ImageObserver, JUDefaultControlInterface, java.awt.MenuContainer, java.io.Serializable

public class JUImageControl
extends javax.swing.JPanel
implements java.awt.event.ActionListener, java.awt.event.FocusListener, JUDefaultControlInterface

Implements a data-aware Image Control. JUImageControl can be bound to BC4J row attributes. The ImageControl treats the data stream as an image (JPEG or GIF) and displays it.

Version:
  PUBLIC
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JPanel` | `_buttonPanel`
`protected java.awt.GridBagLayout` | `_buttonPanelLayout`
`protected java.awt.Dimension` | `_buttonPreferredSize`
`protected javax.swing.JButton` | `_clearButton`
`protected javax.swing.JFileChooser` | `_fileChooser`
`protected javax.swing.JScrollPane` | `_imageAggregate`
`protected javax.swing.JLabel` | `_imageDisplay`
`protected java.awt.BorderLayout` | `_mainPanelLayout`
`protected javax.swing.JButton` | `_newButton`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JUImageControl()` Constructs a JUImageControl.

Method Summary
`protected javax.swing.JPanel` | `_createButtonPanel()`
`protected void` | `_enableButtons(boolean bEnable)`
`protected java.awt.Dimension` | `_getDefaultPreferredSize()` Gets the preferred size for the image scroll pane.
`protected void` | `_refreshImage(byte[] imageData)` In three tier mode, if sync mode is not SYNC_IMMEDIATE, user will not see the image when it is changed.
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addFocusListener(java.awt.event.FocusAdapter f)` This method is invoked by the binding to add a focus listener to the control such that JClient Panelbinding can update its status based on control's focus.
`void` | `dataChanged(java.lang.Object dataItem)` Updates the image based on the new value of the dataitem.
`void` | `doClearButtonAction()` execute the clear button action
`void` | `doNewButtonAction()` execute the new button action
`void` | `enabledChanged(boolean b)`
`void` | `focusGained(java.awt.event.FocusEvent event)` This method is an implementaion side effect.
`void` | `focusLost(java.awt.event.FocusEvent event)` This method is an implementaion side effect.
`javax.swing.JPanel` | `getButtonsPanel()` Gets the panel used to display buttons.
`javax.swing.JButton` | `getClearButton()`
`java.awt.Component` | `getComponent()` Returns the AWT component associated with this control.
`javax.swing.JLabel` | `getLabel()` Gets the label control used to display the image.
`JUDefaultControlBinding` | `getModel()` Returns the bindName and provides the hook into property editors/customizers.
`javax.swing.JButton` | `getNewButton()`
`boolean` | `getReadOnly()`
`javax.swing.JScrollPane` | `getScrollPane()` Scroll pane used to display the image.
`boolean` | `getShowUpdateButtons()`
`void` | `releaseResources()`
`void` | `setEnabled(boolean b)` An override of java.awt.Component.setEnabled.
`void` | `setModel(JUDefaultControlBinding binding)` Binds the control to the infobus and implements lazy loading, by using the DACRTManager, to lookup the RowSet and DataItemName.
`void` | `setReadOnly(boolean readOnly)`
`void` | `setShowUpdateButtons(boolean bShowButtons)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _mainPanelLayout

    protected java.awt.BorderLayout _mainPanelLayout

### _buttonPanelLayout

    protected java.awt.GridBagLayout _buttonPanelLayout

### _imageAggregate

    protected javax.swing.JScrollPane _imageAggregate

### _imageDisplay

    protected javax.swing.JLabel _imageDisplay

### _buttonPanel

    protected javax.swing.JPanel _buttonPanel

### _buttonPreferredSize

    protected java.awt.Dimension _buttonPreferredSize

### _newButton

    protected javax.swing.JButton _newButton

### _clearButton

    protected javax.swing.JButton _clearButton

### _fileChooser

    protected javax.swing.JFileChooser _fileChooser

Constructor Detail

### JUImageControl

    public JUImageControl()

  Constructs a JUImageControl.

Method Detail

### addFocusListener

    public void addFocusListener(java.awt.event.FocusAdapter f)

  Description copied from interface: `JUDefaultControlInterface`
  This method is invoked by the binding to add a focus listener to the control such that JClient Panelbinding can update its status based on control's focus.
  Specified by:
    `addFocusListener` in interface `JUDefaultControlInterface`

### getButtonsPanel

    public javax.swing.JPanel getButtonsPanel()

  Gets the panel used to display buttons.

### getNewButton

    public javax.swing.JButton getNewButton()

### getClearButton

    public javax.swing.JButton getClearButton()

### getLabel

    public javax.swing.JLabel getLabel()

  Gets the label control used to display the image.

### getScrollPane

    public javax.swing.JScrollPane getScrollPane()

  Scroll pane used to display the image.

### setShowUpdateButtons

    public void setShowUpdateButtons(boolean bShowButtons)

### getShowUpdateButtons

    public boolean getShowUpdateButtons()

### setReadOnly

    public void setReadOnly(boolean readOnly)

### getReadOnly

    public boolean getReadOnly()

### focusLost

    public void focusLost(java.awt.event.FocusEvent event)

  This method is an implementaion side effect.
  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

### focusGained

    public void focusGained(java.awt.event.FocusEvent event)

  This method is an implementaion side effect.
  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### enabledChanged

    public void enabledChanged(boolean b)

### releaseResources

    public void releaseResources()

### setEnabled

    public void setEnabled(boolean b)

  An override of java.awt.Component.setEnabled.
  Parameters:
    `b` - Indicates whether the control is enabled.

### setModel

    public void setModel(JUDefaultControlBinding binding)

  Binds the control to the infobus and implements lazy loading, by using the DACRTManager, to lookup the RowSet and DataItemName.
  Parameters:
    `binding` - Format is <Data Definition name>.<ViewObject name>.<Attribute name>.

### getModel

    public JUDefaultControlBinding getModel()

  Returns the bindName and provides the hook into property editors/customizers.

### getComponent

    public final java.awt.Component getComponent()

  Returns the AWT component associated with this control.
  Returns:
    The AWT component for this control.

### doClearButtonAction

    public void doClearButtonAction()

  execute the clear button action

### doNewButtonAction

    public void doNewButtonAction()

  execute the new button action

### _refreshImage

    protected void _refreshImage(byte[] imageData)

  In three tier mode, if sync mode is not SYNC_IMMEDIATE, user will not see the image when it is changed. This method is used to refresh the image.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### _getDefaultPreferredSize

    protected java.awt.Dimension _getDefaultPreferredSize()

  Gets the preferred size for the image scroll pane.

### dataChanged

    public void dataChanged(java.lang.Object dataItem)

  Updates the image based on the new value of the dataitem.
  Specified by:
    `dataChanged` in interface `JUDefaultControlInterface`
  Parameters:
    `dataItem` - The dataitem to which the control is bound.

### _createButtonPanel

    protected javax.swing.JPanel _createButtonPanel()

### _enableButtons

    protected void _enableButtons(boolean bEnable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.